# $Revision: 1.22 $, $Date: 2005/01/18 09:20:47 $
# TODO:
# - SECURITY: http://securitytracker.com/alerts/2004/Sep/1011290.html
#

%bcond_with	ppr	# ppr support disabled until we have ppr.spec in working shape

%include	/usr/lib/rpm/macros.perl

Summary:	System for using free software printer drivers
Summary(pl):	System umoliwiajcy uywanie darmowych sterownikw drukarek
Name:		foomatic-filters
Version:	3.0.2
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	http://www.linuxprinting.org/download/foomatic/%{name}-%{version}.tar.gz
# Source0-md5:	f0f4c90fa0ae346f53bf19a165e071a6
URL:		http://www.linuxprinting.org/foomatic.html
BuildRequires:	a2ps
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_ulibdir	%{_prefix}/lib

%description
Foomatic is a system for using free software printer drivers with
common spoolers on Unix. It supports LPD, PDQ, CUPS, the VA Linux
LPD, LPRng, PPR, and direct spooler-less printing and any free
software driver for which execution data has been entered in the
database.

%description -l pl
Foomatic to system pozwalajcy na uywanie wolnodostpnych
sterownikw drukarek z popularnymi uniksowymi serwerami wydrukw.
Obsuguje LPD, PDQ, CUPS, VA Linux LPD, LPRng, PPR i bezporednie
drukowanie bez kolejkowania oraz dowolny wolnodostpny sterownik,
dla ktrego parametry zostay wprowadzone do bazy danych.

%package gswrapper
Summary:	foomatic wrapper for ghostscript
Summary(pl):	wrapper dla ghostscripta do uycia z foomatic
Group:		Applications/System
Requires:	ghostscript
Requires:	a2ps
Obsoletes:	foomatic-gswrapper

%description gswrapper
A little Ghostscript regularization script. It massages arguments to
make Ghostscript execute properly as a filter, with output on stdout
and errors etc on stderr.

NOTE: This script is needed in a few situations only and may not work
with some Ghostscript versions. Moreover in some situations his
presence in the system may have effect that Your printer will
not print. So - Do not install this package if You don't know
what You're doing.

%description gswrapper -l pl
May skrypt uzdatniajcy Ghostscripta. Obrabia parametry tak, eby
Ghostscript dziaa waciwie jako filtr, generujc dane wyjciowe na
stdout, a bdy na stderr.

UWAGA: Ten skrypt jest potrzebny tylko w kilku przypadkach i moe
nie dziaac z niektrymi wersjami Ghostscripta. Ponadto w niektrych
sytuacjach jego obecno w systemie moe spowodowa, e drukarka nie
bdzie drukowaa. Tak wic - nie instaluj tego pakietu, jeli nie
wiesz, co robisz.

%package -n cups-filter-foomatic
Summary:	cupsomatic - CUPS filter
Summary(pl):	cupsomatic - filtr do CUPS
Group:		Applications/System
Requires:	cups
Requires:	%{name} = %{epoch}:%{version}
Obsoletes:	foomatic-cups
Obsoletes:	cups-foomatic

%description -n cups-filter-foomatic
Cupsomatic is intended to be used as a CUPS filter for printers
defined in a PPD file (CUPS-O-Matic or PPD-O-Matic) obtained from the
Linux Printing Database.

%description -n cups-filter-foomatic -l pl
Cupsomatic jest filtrem do CUPS dla drukarek zdefiniowanych w pliku
PPD (CUPS-O-Matic lub PPD-O-Matic), uzyskanym z Linux Printing
Database.

%package ppr
Summary:	ppromatic - PPR interface
Summary(pl):	ppromatic - interfejs do PPR
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}
Requires:	ppr
Obsoletes:	foomatic-ppr

%description ppr
ppromatic is intended to be used as a PPR interface for printers
defined in a PPD-O-Matic PPD file obtained from the Linux Printing
Database.

%description ppr -l pl
ppromatic jest interfejsem do PPR dla drukarek zdefiniowanych w pliku
PPD (PPD-O-Matic) uzyskanym z Linux Printing Database.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

ln -sf %{_bindir}/foomatic-rip $RPM_BUILD_ROOT%{_ulibdir}/cups/filter/cupsomatic

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO README USAGE
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/foomatic/direct
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/foomatic/filter.conf
%attr(755,root,root) %{_bindir}/foomatic-rip
%{_mandir}/man1/foomatic-rip*

%files gswrapper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/foomatic-gswrapper
%{_mandir}/man1/foomatic-gswrapper*

%files -n cups-filter-foomatic
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/cups/filter/*

%if %{with ppr}
%files ppr
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/ppr/interfaces/foomatic-rip
%attr(755,root,root) %{_ulibdir}/ppr/lib/foomatic-rip
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: foomatic-filters.spec,v $
Revision 1.22  2005/01/18 09:20:47  ankry
- kill Source0-size

Revision 1.21  2004/10/14 16:13:03  deejay1
- updated to 3.0.2 see CAN-2004-0801

Revision 1.20  2004/09/21 10:22:49  blues
- added SECURITY note

Revision 1.19  2004/08/06 22:34:57  arekm
- rel2; ppr into bcond: default off

Revision 1.18  2004/02/20 12:38:57  deejay1
- BR: a2ps

Revision 1.17  2004/02/19 23:01:39  deejay1
- updated to 3.0.1 final

Revision 1.16  2004/02/09 09:41:20  deejay1
- up to 3.0.1rc3

Revision 1.15  2003/12/30 18:27:58  jajcus
- AM64 fixes: cups and pp "lib" directories should not depend on %{_lib} (always /usr/lib)

Revision 1.14  2003/12/28 21:49:47  deejay1
- updated to 3.0.1rc1

Revision 1.13  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.11  2003/06/23 17:26:42  jareq
- fixed epoch:version issue
- use macro %{name} instead of 'foomatic-filters'

Revision 1.10  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.9  2003/05/25 05:47:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/10 22:31:25  radek
- BR: rpm-perlprov instead of R: perl

Revision 1.7  2003/05/05 11:10:15  wiget
- first try to 3.0.0

Revision 1.6  2003/03/03 23:23:01  qboosh
- Obsoletes for -gswrapper and -ppr from foomatic.spec

Revision 1.5  2003/02/19 20:48:21  adgor
- Making cups-foomatic working

Revision 1.4  2003/01/08 22:04:19  migo
- Epoch: 1 to allow upgrade from version like 20020719
- dunno if other foomatic-* packages need it also...

Revision 1.3  2003/01/08 21:57:55  migo
- fixed Source0

Revision 1.2  2002/12/23 10:44:16  michuz
- updated to 2.9.1
- fixed BR

Revision 1.1  2002/12/22 13:00:44  michuz
- 0813e31a64a1ddeec2112c358ca09247
